Subject: Re: [GIT PULL v2] Open vSwitch

From: Simon Horman <horms-/[email-masked]>
Date: Thu, 1 Dec 2011 17:06:20 +0900

On Thu, Dec 01, 2011 at 03:52:37PM +0800, Herbert Xu wrote:
> On Thu, Dec 01, 2011 at 04:24:18PM +0900, Simon Horman wrote:
> >
> > So while I agree that optimizing the hash is a good idea.  I don't believe
> > it is a bottle-neck at this point. Though I could be convinced otherwise if
> > long collision chains could be constructed with relatively few flows.
> > Something I had not considered until I rad your email just now.
> 
> It's not an optimisation issue, but a security one.  If you leave
> a hash like this with a constant seed, an attacker would have an
> infinite amount of time to find collisions.
> 
> Rehashing isn't all that difficult.

Sorry for missing the point. Yes, I agree that rehashing makes a lot of sense.